Package be.ehealth.technicalconnector.handler.wss4j

# Class WSSecHeaderGeneratorWss4jImpl

java.lang.Object
be.ehealth.technicalconnector.handler.wss4j.WSSecHeaderGeneratorWss4jImpl

All Implemented Interfaces:
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`, `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`, `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`, `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`, `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

public class WSSecHeaderGeneratorWss4jImpl extends Object implements AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4
WS Security header generator based on WSS4J.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_DIGEST_METHOD_ALGORITHM`
  `static final String`
  `DEFAULT_SIGNATURE_METHOD_ALGORITHM`
  `static final String`
  `WSSEC_MUSTUNDERSTAND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WSSecHeaderGeneratorWss4jImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`
  `on(jakarta.xml.soap.SOAPMessage message)`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`
  `on(jakarta.xml.ws.handler.soap.SOAPMessageContext ctx)`
  `void`
  `sign(AbstractWsSecurityHandler.SignedParts... parts)`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
  `withBinarySecurityToken(Credential cred)`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
  `withSAMLToken(SAMLToken token)`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
  `withTimeStamp(long ttl, TimeUnit unit)`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
  `withTimeStamp(Duration duration)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_DIGEST_METHOD_ALGORITHM

    public static final String DEFAULT_DIGEST_METHOD_ALGORITHM
    See Also:
      - Constant Field Values

  - ### DEFAULT_SIGNATURE_METHOD_ALGORITHM

    public static final String DEFAULT_SIGNATURE_METHOD_ALGORITHM
    See Also:
      - Constant Field Values

  - ### WSSEC_MUSTUNDERSTAND

    public static final String WSSEC_MUSTUNDERSTAND
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WSSecHeaderGeneratorWss4jImpl

    public WSSecHeaderGeneratorWss4jImpl()

- ## Method Details

  - ### on

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(jakarta.xml.soap.SOAPMessage message) throws TechnicalConnectorException
    Specified by:
      `on` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
    Throws:
      `TechnicalConnectorException`

  - ### on

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(jakarta.xml.ws.handler.soap.SOAPMessageContext ctx) throws TechnicalConnectorException
    Specified by:
      `on` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
    Throws:
      `TechnicalConnectorException`

  - ### withTimeStamp

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2 withTimeStamp(long ttl, TimeUnit unit)
    Specified by:
      `withTimeStamp` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`

  - ### withTimeStamp

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2 withTimeStamp(Duration duration)
    Specified by:
      `withTimeStamp` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`

  - ### withBinarySecurityToken

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3 withBinarySecurityToken(Credential cred) throws TechnicalConnectorException
    Specified by:
      `withBinarySecurityToken` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
    Throws:
      `TechnicalConnectorException`

  - ### withSAMLToken

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3 withSAMLToken(SAMLToken token) throws TechnicalConnectorException
    Specified by:
      `withSAMLToken` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
    Throws:
      `TechnicalConnectorException`

  - ### sign

    public void sign(AbstractWsSecurityHandler.SignedParts... parts) throws TechnicalConnectorException
    Specified by:
      `sign` in interface `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`
    Throws:
      `TechnicalConnectorException`